<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (13.0.1) on Wed Dec 04 18:16:17 GMT 2019 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-12-04">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="all-classes-index">
<script type="text/javascript">var data = {"i0":4,"i1":2,"i2":2,"i3":2,"i4":2,"i5":1,"i6":4,"i7":2,"i8":2,"i9":2,"i10":2,"i11":2,"i12":1,"i13":2,"i14":2,"i15":2,"i16":2,"i17":2,"i18":1,"i19":2,"i20":2,"i21":2};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"],4:["t3","Enum Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<div class="typeSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="typeSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Classes</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Interface Summary</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Class Summary</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="tableTab" onclick="show(4);">Enum Summary</button></div>
<div id="typeSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><a href="cards/Action.html" title="enum in cards">Action</a></td>
<th class="colLast" scope="row">
<div class="block">Types of actions cards can take</div>
</th>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><a href="player/Bank.html" title="class in player">Bank</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><a href="game/Bid.html" title="class in game">Bid</a></td>
<th class="colLast" scope="row">
<div class="block">Bid class for auctions</div>
</th>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><a href="board/Board.html" title="class in board">Board</a></td>
<th class="colLast" scope="row">
<div class="block">Generates a board from a file containing board information, 
 and handles inputs and outputs from it</div>
</th>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><a href="tests/BoardTest.html" title="class in tests">BoardTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><a href="cards/Card.html" title="interface in cards">Card</a></td>
<th class="colLast" scope="row">
<div class="block">Card Interface, ties together chance and community chest</div>
</th>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><a href="cards/CardType.html" title="enum in cards">CardType</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><a href="cards/Chance.html" title="class in cards">Chance</a></td>
<th class="colLast" scope="row">
<div class="block">Chance card implementation</div>
</th>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><a href="tests/ChanceTest.html" title="class in tests">ChanceTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><a href="cards/CommunityChest.html" title="class in cards">CommunityChest</a></td>
<th class="colLast" scope="row">
<div class="block">Community Chest Card Implementation</div>
</th>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><a href="tests/CommunityChestTest.html" title="class in tests">CommunityChestTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><a href="cards/Deck.html" title="class in cards">Deck</a></td>
<th class="colLast" scope="row">
<div class="block">Builds a deck of either card type</div>
</th>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><a href="player/Dice.html" title="interface in player">Dice</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><a href="game/Game.html" title="class in game">Game</a></td>
<th class="colLast" scope="row">
<div class="block">Central gameplay features</div>
</th>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><a href="tests/GameTest.html" title="class in tests">GameTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><a href="game/Input.html" title="class in game">Input</a></td>
<th class="colLast" scope="row">
<div class="block">Takes inputs from player and checks them</div>
</th>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><a href="game/Main.html" title="class in game">Main</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i17">
<td class="colFirst"><a href="game/Messenger.html" title="class in game">Messenger</a></td>
<th class="colLast" scope="row">
<div class="block">Communicates with the player</div>
</th>
</tr>
<tr class="altColor" id="i18">
<td class="colFirst"><a href="player/People.html" title="interface in player">People</a></td>
<th class="colLast" scope="row">
<div class="block">Loosely Ties Together Bank and Player</div>
</th>
</tr>
<tr class="rowColor" id="i19">
<td class="colFirst"><a href="player/Player.html" title="class in player">Player</a></td>
<th class="colLast" scope="row">
<div class="block">Player Class</div>
</th>
</tr>
<tr class="altColor" id="i20">
<td class="colFirst"><a href="tests/PlayerTest.html" title="class in tests">PlayerTest</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr class="rowColor" id="i21">
<td class="colFirst"><a href="player/SixSidedDie.html" title="class in player">SixSidedDie</a></td>
<th class="colLast" scope="row">
<div class="block">A six sided die</div>
</th>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
